Package org.eclipse.emf.spi.cdo

## Class CDOSessionProtocol.MergeDataResult

- java.lang.Object
- - org.eclipse.emf.spi.cdo.CDOSessionProtocol.MergeDataResult

- Enclosing interface:
    CDOSessionProtocol

      public static final class CDOSessionProtocol.MergeDataResult
      extends java.lang.Object

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.6
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MergeDataResult()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<CDOID>` | `getIDs()` |
    `CDOBranchPoint` | `getResultBase()` |
    `java.util.Set<CDOID>` | `getSourceIDs()` |
    `java.util.Set<CDOID>` | `getTargetIDs()` |
    `void` | `setResultBase​(CDOBranchPoint resultBase)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MergeDataResult

          public MergeDataResult()

  - ### Method Detail

    - #### getIDs

          public java.util.Set<CDOID> getIDs()

      Since:
        4.13

    - #### getTargetIDs

          public java.util.Set<CDOID> getTargetIDs()

    - #### getSourceIDs

          public java.util.Set<CDOID> getSourceIDs()

    - #### getResultBase

          public CDOBranchPoint getResultBase()

    - #### setResultBase

          public void setResultBase​(CDOBranchPoint resultBase)